---
services:
  sonarr:
    image: lscr.io/linuxserver/sonarr:latest
    container_name: sonarr
    environment:
      - PUID=1000
      - PGID=1002
      - TZ=America/Sao_Paulo
    volumes:
      - ./sonarr:/config
      - /mnt/servarr/data:/data
    ports:
      - "8989:8989"
    restart: unless-stopped

  radarr:
    image: lscr.io/linuxserver/radarr:latest
    container_name: radarr
    environment:
      - PUID=1000
      - PGID=1002
      - TZ=America/Sao_Paulo
    volumes:
      - ./radarr:/config
      - /mnt/servarr/data:/data
    ports:
      - "7878:7878"
    restart: unless-stopped

  slskd:
    image: slskd/slskd
    container_name: slskd
    ports:
      - "5030:5030"
      - "5031:5031"
      - "50300:50300"
    environment:
      - SLSKD_REMOTE_CONFIGURATION=true
      - SLSKD_SLSK_USERNAME=ticonouvido
      - SLSKD_SLSK_PASSWORD=asdf1234
    volumes:
      - ./slskd:/app
      - /mnt/servarr/data/media/music:/music
    restart: unless-stopped

  lidarr:
    image: lscr.io/linuxserver/lidarr:latest
    container_name: lidarr
    environment:
      - PUID=1000
      - PGID=1002
      - TZ=America/Sao_Paulo
    volumes:
      - ./lidarr:/config
      - /mnt/servarr/data/:/data #optional
    ports:
      - 8686:8686
    restart: unless-stopped

    
 # soularr:
 #   restart: unless-stopped
 #   container_name: soularr
 #   hostname: soularr
 #   environment:
 #     - PUID=1000
 #     - PGID=1000
 #     - TZ=America/Sao_Paulo
      #Script interval in seconds
 #     - SCRIPT_INTERVAL=300
 #   user: "1000:1000"
 #   volumes:
      #"You can set /downloads to whatever you want but will then need to change the Slskd download dir in your config file"
  #    - /mnt/hdd_1tb/data/downloads:/downloads
      #Select where you are storing your config file. 
      #Leave "/data" since thats where the script expects the config file to be
  #    - ./soularr:/data
  #  image: mrusse08/soularr:latest

  prowlarr:
    image: lscr.io/linuxserver/prowlarr:develop
    container_name: prowlarr
    environment:
      - PUID=1000
      - PGID=1002
      - TZ=America/Sao_Paulo
    volumes:
      - ./prowlarr:/config
    ports:
      - "9696:9696"
    restart: unless-stopped

  bazarr:
    image: lscr.io/linuxserver/bazarr:latest
    container_name: bazarr
    environment:
      - PUID=1000
      - PGID=1002
      - TZ=America/Sao_Paulo
    volumes:
      - ./bazarr:/config
      - /mnt/servarr/data/media/movies:/movies
      - /mnt/servarr/data/media/tv:/tv
    ports:
      - "6767:6767"
    restart: unless-stopped

  jellyseerr:
      image: fallenbagel/jellyseerr:latest
      container_name: jellyseerr
      environment:
          - LOG_LEVEL=info
          - TZ=America/Sao_Paulo
      ports:
          - 5055:5055
      volumes:
          - ./jellyseer:/app/config
      restart: unless-stopped
      networks:
        - pangolin

  flaresolverr:
    # DockerHub mirror flaresolverr/flaresolverr:latest
    image: ghcr.io/flaresolverr/flaresolverr:latest
    container_name: flaresolverr
    environment:
      - LOG_LEVEL=${LOG_LEVEL:-info}
      - LOG_HTML=${LOG_HTML:-false}
      - CAPTCHA_SOLVER=${CAPTCHA_SOLVER:-none}
      - TZ=America/Sao_Paulo
    ports:
      - "${PORT:-8191}:8191"
    restart: unless-stopped

  jackett:
    image: lscr.io/linuxserver/jackett:latest
    container_name: jackett
    environment:
      - PUID=1000
      - PGID=1002
      - TZ=America/Sao_Paulo
      - AUTO_UPDATE=true #optional
      - RUN_OPTS= #optional
    volumes:
      - ./jackett:/config
      - ./blackhole:/downloads
    ports:
      - 9117:9117
    restart: unless-stopped

networks:
  pangolin:
    external: true
    name: pangolin
